Loading...
Searching...
No Matches
DJLSError Class Reference

Helper class for converting between dcmjpls and CharLS error codes. More...

## Static Public Member Functions

static const OFConditionConst & | convert (JLS_ERROR error)
| This method converts a CharLS error code into a dcmjpls OFCondition.

## Private Member Functions

| DJLSError ()
| private undefined constructor

## Detailed Description

Helper class for converting between dcmjpls and CharLS error codes.

## Member Function Documentation

## convert()

const OFConditionConst & DJLSError::convert | ( | JLS_ERROR | error | ) |

inline static

This method converts a CharLS error code into a dcmjpls OFCondition.

Parameters

  error | The CharLS error code

Returns
  The OFCondition

References EC_IllegalParameter, EC_JLSCodecInvalidParameters, EC_JLSCodecUnsupportedImageType, EC_JLSCodecUnsupportedValue, EC_JLSCompressedBufferTooSmall, EC_JLSInvalidCompressedData, EC_JLSTooMuchCompressedData, EC_JLSUncompressedBufferTooSmall, EC_JLSUnsupportedBitDepthForTransform, EC_JLSUnsupportedColorTransform, and EC_Normal.

The documentation for this class was generated from the following file:

- dcmjpls/libsrc/djerror.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0